/**
 * 
 */
package bpiwowar.argparser;

public enum ArgParserOption {
	/** Stop the parse at the first error */
	EXIT_ON_ERROR,
	
	/** Stop the parse at the first unmatched argument */
	STOP_FIRST_UNMATCHED,
	
	/** Stop if there remains unmatched arguments */
	EXIT_ON_UNMATCHED,

	/** Throw an exception if unmatched */
	EXCEPTION_ON_UNMATCHED, 
	
	/** Throw an exception if there is an error*/
	EXCEPTION_ON_ERROR,
}