package bpiwowar.argparser;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Use to break down a parameter value into various components before passing them to the handler(s)
 * 
 * @author B. Piwowarski <benjamin@bpiwowar.net>
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface ArgumentRegexp {
	/**
	 * The regular expression to apply
	 */
	String value();
}
