package bpiwowar.argparser;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * The interval where the double value should lie
 */
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = { ElementType.FIELD })
public @interface CheckNumericIntervals {
	/**
	 * Defines the possible intervals
	 */
	String [] value();
}