/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.reflect.Field;

import bpiwowar.argparser.ArgParser;
import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;

/**
 * A float wrapper
 * 
 * @author bpiwowar
 * @date 30/08/2007
 * 
 */
@HandlerInformation( { double.class, Double.class })
public class DoubleHandler extends FloatingPointHandler {

	public DoubleHandler(Object object, Field field)
			throws IllegalArgumentException {
		super(object, field);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see yrla.argparser.holders.Holder#scan(yrla.argparser.StringScanner)
	 */
	public Object process(ArgParser argParser, StringScanner scanner)
			throws StringScanException {
		final Double v = new Double(scanner.scanDouble());
		addValue(v);
		return v;
	}

}
