/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.io.File;
import java.lang.reflect.Field;

import bpiwowar.argparser.ArgParser;
import bpiwowar.argparser.IllegalArgumentValue;
import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;

/**
 * @author bpiwowar
 * @date 04/09/2007
 * 
 */
@HandlerInformation(File.class)
public class FileHandler extends GenericObjectsHandler {

	public FileHandler(Object object, Field field) {
		super(object, field);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see yrla.argparser.holders.Holder#scan(yrla.argparser.StringScanner)
	 */
	public Object process(ArgParser argParser, StringScanner scanner)
			throws StringScanException, IllegalArgumentValue {
		final File s = new File(scanner.scanString());
		check(s);
		addValue(s);
		return s;
	}
}
