/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.reflect.Field;

import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;


/**
 * @author bpiwowar
 * @date Nov 29, 2007
 *
 */
abstract public class IntegerHandler extends GenericObjectsHandler {
	public IntegerHandler(Object object, Field field) {
		super(object, field);
	}

	int radix = 10;
	
	public void setRadix(int radix) {
		this.radix = radix;
	}
	
	/* (non-Javadoc)
	 * @see yrla.argparser.holders.Holder#scan(yrla.argparser.StringScanner)
	 */
	protected long scanInteger(StringScanner scanner) throws StringScanException {
		return scanner.scanInt(radix);
	}
}
