/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.reflect.Field;

import bpiwowar.argparser.ArgParser;
import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;


/**
 * @author bpiwowar
 * @date 30/08/2007
 *
 */
@HandlerInformation({long.class, Long.class})
public class LongHandler extends IntegerHandler {
	
	public LongHandler(Object object, Field field) {
		super(object, field);
	}


	/* (non-Javadoc)
	 * @see yrla.argparser.holders.Holder#scan(yrla.argparser.StringScanner)
	 */
	@Override
	public Object process(ArgParser argParser, StringScanner scanner) throws StringScanException {
		Long v = scanInteger(scanner);
		addValue(v);
		return v;
	}

}
