/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.reflect.Field;

import bpiwowar.argparser.ArgParser;
import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;


/**
 * @author bpiwowar
 * @date 04/09/2007
 *
 */
@HandlerInformation(String.class)
public class StringHandler extends GenericObjectsHandler  {
	
	public StringHandler(Object object, Field field) {
		super(object, field);
	}

	/* (non-Javadoc)
	 * @see yrla.argparser.holders.Holder#scan(yrla.argparser.StringScanner)
	 */
	public Object process(ArgParser argParser, StringScanner scanner) throws StringScanException {
		final String s = scanner.getString();
		addValue(s);
		return s;
	}
}
