package bpiwowar.argparser.utils;

import java.lang.annotation.Annotation;
import java.lang.reflect.AnnotatedElement;


/**
 * Annotations for
 * 
 * @author B. Piwowarski <benjamin@bpiwowar.net>
 */
public class AnnotatedElementAnnotationMap implements AnnotationMap {
	private AnnotatedElement object;

	public AnnotatedElementAnnotationMap(AnnotatedElement object) {
		this.object = object;
	}

	public <T extends Annotation> T getAnnotation(Class<T> annotationClass) {
		return object.getAnnotation(annotationClass);
	}
}