package bpiwowar.experiments;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Defines a subtask
 * 
 * @author Benjamin Piwowarski <benjamin@bpiwowar.net>
 */
@Retention(value = RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Subtask {
	/** The name of the experiment */
	String name();
	
	/**
	 * The task description
	 */
	String description() default "";

}
