package bpiwowar.experiments;

public class TaskName implements Comparable<TaskName> {
	String name;
	PackageName packageName;

	/**
	 * @param packageName
	 *            Given in reverse order
	 * @param name
	 */
	public TaskName(PackageName packageName, String name) {
		super();
		this.packageName = packageName;
		this.name = name;
	}

	@Override
	public int compareTo(TaskName o) {
		int z = o.packageName.compareTo(o.packageName);
		if (z != 0)
			return z;

		// The task name
		return name.compareTo(o.name);
	}
	
	@Override
	public String toString() {
		return String.format("%s (%s)", name, packageName);
	}

}
