package bpiwowar.argparser;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * When the corresponding variable is set, the list of groups will be activated
 * 
 * @author B. Piwowarski
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface ArgumentGroupActivator {
	String[] value();
}
