package bpiwowar.argparser.checkers;

/**
 * @author bpiwowar
 * @date Nov 29, 2007
 *
 */
public interface ValueChecker {
	/**
	 * Check that the value is within a valid range
	 */
	boolean check(Object object);
	
	/**
	 * Get the description of the value checker
	 */
	String getDescription();
}
