/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.reflect.Field;

import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;
import bpiwowar.argparser.checkers.DoubleLimit;
import bpiwowar.argparser.checkers.Limit;


/**
 * @author B. Piwowarski
 * @date November 29, 2007
 *
 */
abstract public class FloatingPointHandler extends GenericObjectsHandler {
	public FloatingPointHandler(Object object, Field field) {
		super(object, field);
	}
	
	/* (non-Javadoc)
	 * @see yrla.argparser.handlers.Handler#getLimitChecker(yrla.argparser.StringScanner)
	 */
	@Override
	public Limit getLimitChecker(StringScanner scanner) throws IllegalArgumentException, StringScanException {
		return new DoubleLimit(scanner.scanDouble());
	}

}
