package bpiwowar.argparser.handlers;

public class HandlerException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	public HandlerException() {
		super();
	}

	public HandlerException(String message, Throwable cause) {
		super(message, cause);
	}

	public HandlerException(String message) {
		super(message);
	}

	public HandlerException(Throwable cause) {
		super(cause);
	}
	
	public HandlerException(String format, Object... args) {
		super(String.format(format, args));
	}

	public HandlerException(String format, Throwable cause, Object... args) {
		super(String.format(format, args), cause);
	}

}
