/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Declares the return type of a wrapper
 * 
 * @author bpiwowar
 * @date Nov 22, 2007
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface HandlerInformation {
	Class<?>[] value();

}
