/**
 * 
 */
package bpiwowar.argparser.handlers;

import java.lang.reflect.Field;

import bpiwowar.argparser.ArgParser;
import bpiwowar.argparser.StringScanException;
import bpiwowar.argparser.StringScanner;


/**
 * A float wrapper
 * 
 * @author bpiwowar
 * @date 30/08/2007
 * 
 */
@HandlerInformation({String[].class})
public class PropertiesHandler extends FloatingPointHandler {
	public PropertiesHandler(Object object, Field field) throws IllegalArgumentException, IllegalAccessException {
		super(object, field);
	}

	/* (non-Javadoc)
	 * @see yrla.argparser.holders.Holder#scan(yrla.argparser.StringScanner)
	 */
	public Object process(ArgParser argParser, StringScanner scanner) throws StringScanException {
		final String v = new String(scanner.scanString());
		addValue(v);
		return v;
	}
	

}
