/**
 * 
 */
package bpiwowar.argparser.holders;

import bpiwowar.argparser.ArgParseException;
import bpiwowar.argparser.ArgParser;
import bpiwowar.argparser.handlers.Handler;

/**
 * 
 * @author bpiwowar
 * @date Nov 29, 2007
 *
 */
public abstract class Holder<T> extends Handler {

	@Override
	public int parse(ArgParser argParser, String[] args, int idx) throws ArgParseException {
		setValue(args[idx]);
		return idx+1;
	}

	abstract protected void setValue(String argument) throws ArgParseException;
	
	abstract public T getValue();

}
