package bpiwowar.argparser.utils;

import java.lang.annotation.Annotation;

/**
 * A map for annotations (generalises the annotation mechanism to methods)
 * 
 * @author B. Piwowarski <benjamin@bpiwowar.net>
 */
public interface AnnotationMap {
	<T extends Annotation> T getAnnotation(Class<T> annotationClass);
}